Model object for the FileAsset Object in dotCMS.

### Hierarchy

- Treeable
  - File

## Index

### Constructors

- constructor

### Properties

- archived
- displayType
- fileName
- identifier
- inode
- languageId
- live
- mimeType
- modDate
- modUser
- modUserName
- name
- parent
- path
- title
- type
- working

### Methods

- isImage

## Constructors

### constructor

- new File(): File

- - Defined in core/treeable/shared/file.model.ts:6

  #### Returns File

## Properties

### archived

archived: boolean

Inherited from Treeable.archived

- Defined in core/treeable/shared/treeable.model.ts:12

### displayType

displayType: string

Inherited from Treeable.displayType

- Defined in core/treeable/shared/treeable.model.ts:14

### fileName

fileName: string

- Defined in core/treeable/shared/file.model.ts:12

### identifier

identifier: string

Inherited from Treeable.identifier

- Defined in core/treeable/shared/treeable.model.ts:6

### inode

inode: string

Inherited from Treeable.inode

- Defined in core/treeable/shared/treeable.model.ts:5

### languageId

languageId: number

- Defined in core/treeable/shared/file.model.ts:8

### live

live: boolean

Inherited from Treeable.live

- Defined in core/treeable/shared/treeable.model.ts:10

### mimeType

mimeType: string

- Defined in core/treeable/shared/file.model.ts:11

### modDate

modDate: Date

Inherited from Treeable.modDate

- Defined in core/treeable/shared/treeable.model.ts:8

### modUser

modUser: string

Inherited from Treeable.modUser

- Defined in core/treeable/shared/treeable.model.ts:15

### modUserName

modUserName: string

- Defined in core/treeable/shared/file.model.ts:13

### name

name: string

Inherited from Treeable.name

- Defined in core/treeable/shared/treeable.model.ts:9

### parent

parent: string

- Defined in core/treeable/shared/file.model.ts:10

### path

path: string

- Defined in core/treeable/shared/file.model.ts:9

### title

title: string

Inherited from Treeable.title

- Defined in core/treeable/shared/treeable.model.ts:13

### type

type: string

Inherited from Treeable.type

- Defined in core/treeable/shared/treeable.model.ts:7

### working

working: boolean

Inherited from Treeable.working

- Defined in core/treeable/shared/treeable.model.ts:11

## Methods

### isImage

- isImage(): boolean

- - Defined in core/treeable/shared/file.model.ts:19

  Convenience method to check the mimetype and so if it starts with image

  #### Returns boolean

Generated using TypeDoc